Retrieve Connection Errors Private Preview
This feature is currently in private preview. Please submit a support ticket if you would like to try out this feature.
Retrieve all active errors for a connection. Each error corresponds to a task type currently active for the connection and includes a short reason summary and a full plain-text description with remediation guidance.
Request schema
Path parameters
The unique identifier of the connection. Retrieve it from the id field in the List All Connections response, or from the id field returned when you Create a Connection.
Query parameters
Paging cursor, read more about pagination
Number of records to fetch per page. Accepts a number in the range 1..1000; the default value is 100.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/connections/4107c213907114059a5544ad8fa66c52/errors?cursor=cursor_value&limit=100 HTTP/1.1 Accept: application/json;version=2 Authorization: Basic <Replace with base64-encoded key> Host: api.fivetran.com
Responses
200
Response status code
Response status text
The collection of returned items
Machine-readable error type identifier. Common values include reconnect, unknown_sync_failure, sync_warning.
Human-readable error title
A brief summary of the error reason.
Human-readable plain-text description of the error with remediation guidance
ISO 8601 timestamp of the most recent occurrence of this error type for the connection.
The value of the cursor parameter for the next page
{ "code": "Success", "message": "Connection errors retrieved successfully", "data": { "items": [ { "type": "reconnect", "title": "Sync Failure", "reason": "Sync failures are usually transient. If this issue continues, we will troubleshoot it.", "message": "We can't connect to the source system for this connection for the following reason(s): We could not connect to HubSpot because the authorization to access a protected resource failed. Depending on the cause, you may need to correct your connection's account credentials, update your connection method, or reauthorize Fivetran.", "created_at": "2024-03-17T12:31:40.870504Z" } ], "next_cursor": "cursor_value" } }